> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# createWorkspaceMember

> Add a member to the workspace



## OpenAPI

````yaml admin-openapi.json post /v1/admin/workspace-members
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspace-members:
    post:
      tags:
        - Endpoints
      description: Add a member to the workspace
      operationId: createWorkspaceMember
      parameters:
        - name: x-workspace-id
          in: header
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/createWorkspaceMemberBody'
      responses:
        '200':
          $ref: '#/components/responses/createWorkspaceMemberResponse'
        default:
          $ref: '#/components/responses/createWorkspaceMemberResponse'
components:
  requestBodies:
    createWorkspaceMemberBody:
      description: Workspace member metadata
      content:
        application/json:
          schema:
            type: object
            properties:
              email:
                type: string
                format: email
              role:
                type: string
                enum:
                  - viewer
                  - billing
                  - developer
                  - manager
                  - administrator
                  - owner
            required:
              - email
              - role
            title: createWorkspaceMemberBody
            additionalProperties: false
  responses:
    createWorkspaceMemberResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
              userId:
                type: string
                format: uuid
              email:
                type: string
              createdAt:
                type: string
              role:
                type: string
                enum:
                  - viewer
                  - billing
                  - developer
                  - manager
                  - administrator
                  - owner
              profilePicture:
                type: string
              displayName:
                type: string
                maxLength: 100
            required:
              - id
              - email
              - createdAt
              - role
            title: createWorkspaceMemberResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````